United Kingdom site (Change)     HOME | CONTROL PANEL    
Sargasso Networks

SSL Certificates

Supported Browsers

The following browsers are supported by QuickSSL certificates:

AOL Browser 5+
Microsoft Internet Explorer 5.01+
Netscape Navigator 4.51+
Mozilla 1.0+
Opera 7+
Safari 1.0+
Red Hat Linux Konqeror

QuickSSL is compatible with an estimated 99% or more of all web browsers in use today. All other commonly used browsers may connect securely with web servers using QuickSSL certificates. However, some older browsers may display a dialogue box indicating that the certificate is not trusted. This means that the certificate is not located in the browser certificate store and, in most cases, the user will be prompted to install it with a few clicks of their mouse.

See Also



About Us

© 2002, 2003, 2004, 2005, 2006, 2008 Sargasso Networks. E&OE.
Legal | Contact us
^ Top